Package com.emc.documentum.rest.model

# Enum Class ExtendedPermission

java.lang.Object
java.lang.Enum<ExtendedPermission>
com.emc.documentum.rest.model.ExtendedPermission

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtendedPermission>`, `Constable`

public enum ExtendedPermission extends Enum<ExtendedPermission>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHANGE_FOLDER_LINKS`
  Extend permission: Change folder links
  `CHANGE_LOCATION`
  Extend permission: Change location
  `CHANGE_OWNER`
  Extend permission: Change ownership
  `CHANGE_PERMIT`
  Extend permission: Change permission
  `CHANGE_STATE`
  Extend permission: Change state
  `DELETE_OBJECT`
  Delete object
  `EXECUTE_PROC`
  Extend permission: execute procedure

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExtendedPermission`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ExtendedPermission[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXECUTE_PROC

    public static final ExtendedPermission EXECUTE_PROC
    Extend permission: execute procedure

  - ### CHANGE_LOCATION

    public static final ExtendedPermission CHANGE_LOCATION
    Extend permission: Change location

  - ### CHANGE_OWNER

    public static final ExtendedPermission CHANGE_OWNER
    Extend permission: Change ownership

  - ### CHANGE_PERMIT

    public static final ExtendedPermission CHANGE_PERMIT
    Extend permission: Change permission

  - ### CHANGE_STATE

    public static final ExtendedPermission CHANGE_STATE
    Extend permission: Change state

  - ### DELETE_OBJECT

    public static final ExtendedPermission DELETE_OBJECT
    Delete object

  - ### CHANGE_FOLDER_LINKS

    public static final ExtendedPermission CHANGE_FOLDER_LINKS
    Extend permission: Change folder links

- ## Method Details

  - ### values

    public static ExtendedPermission[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ExtendedPermission valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null